## cascading.tuple
Interface TupleInputStream.ElementReader

All Known Implementing Classes:
  SerializationElementReader

Enclosing class:
  TupleInputStream

    public static interface TupleInputStream.ElementReader

Method Summary
`void` `close()`
`Comparator` `getComparatorFor(int type, DataInputStream inputStream)`
`Object` `read(int token, DataInputStream inputStream)`

Method Detail

### read

    Object read(int token,
                DataInputStream inputStream)
                throws IOException

  Throws:
    `IOException`

### getComparatorFor

    Comparator getComparatorFor(int type,
                                DataInputStream inputStream)
                                throws IOException

  Throws:
    `IOException`

### close

    void close()

Copyright © 2007-2010 Concurrent, Inc. All Rights Reserved.